aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Makefile12
-rwxr-xr-x[-rw-r--r--]devscripts/posix-locale.sh0
-rwxr-xr-xdevscripts/release.sh11
-rwxr-xr-x[-rw-r--r--]devscripts/wine-py2exe.sh0
4 files changed, 12 insertions, 11 deletions
diff --git a/Makefile b/Makefile
index 26c85b578..c167d01c4 100644
--- a/Makefile
+++ b/Makefile
@@ -5,17 +5,7 @@ install: youtube-dl youtube-dl.1 youtube-dl.bash-completion
install -m 644 --owner root --group root youtube-dl.1 /usr/local/man/man1
install -m 644 --owner root --group root youtube-dl.bash-completion /etc/bash_completion.d/youtube-dl
-release:
- @if [ -z "$$version" ]; then echo 'ERROR: specify version number like this: make release version=1994.09.06'; exit 1; fi
- @if [ ! -z "`git tag | grep "$$version"`" ]; then echo 'ERROR: version already present'; exit 1; fi
- @if [ ! -z "`git status --porcelain`" ]; then echo 'ERROR: the working directory is not clean; commit or stash changes'; exit 1; fi
- @sed -i "s/__version__ = '.*'/__version__ = '$$version'/" youtube_dl/__init__.py
- make all
- git add -A
- git commit -m "release $$version"
- git tag -m "Release $$version" "$$version"
-
-.PHONY: all install release
+.PHONY: all install
youtube-dl: youtube_dl/*.py
zip --quiet --junk-paths youtube-dl youtube_dl/*.py
diff --git a/devscripts/posix-locale.sh b/devscripts/posix-locale.sh
index 0aa7a592d..0aa7a592d 100644..100755
--- a/devscripts/posix-locale.sh
+++ b/devscripts/posix-locale.sh
diff --git a/devscripts/release.sh b/devscripts/release.sh
new file mode 100755
index 000000000..75f8ec8eb
--- /dev/null
+++ b/devscripts/release.sh
@@ -0,0 +1,11 @@
+#! /bin/bash
+
+if [ -z "$1" ]; then echo "ERROR: specify version number like this: $0 1994.09.06"; exit 1; fi
+version="$1"
+if [ ! -z "`git tag | grep "$version"`" ]; then echo 'ERROR: version already present'; exit 1; fi
+if [ ! -z "`git status --porcelain`" ]; then echo 'ERROR: the working directory is not clean; commit or stash changes'; exit 1; fi
+sed -i "s/__version__ = '.*'/__version__ = '$version'/" youtube_dl/__init__.py
+make all
+git add -A
+git commit -m "release $version"
+git tag -m "Release $version" "$version" \ No newline at end of file
diff --git a/devscripts/wine-py2exe.sh b/devscripts/wine-py2exe.sh
index dc2d6501a..dc2d6501a 100644..100755
--- a/devscripts/wine-py2exe.sh
+++ b/devscripts/wine-py2exe.sh